## task 2.5.1%2Bdfsg

=== debian/changelog ===
task (2.5.1+dfsg-7) unstable; urgency=medium

  * Update VCS URLs to salsa.debian.org
  * Update to Standards-Version 4.3.0
  * Stop calling dpkg-parsechangelog in d/rules, and use pkg-info.mk instead
  * Remove debian/source/options (forcing xz compression), use dpkg defaults

 -- Gordon Ball <gordon@chronitis.net>  Fri, 22 Feb 2019 19:05:59 +0000

task (2.5.1+dfsg-6) unstable; urgency=medium

  * Patch shebang lines in python scripts from "/usr/bin/env python"
    to "/usr/bin/python" (prompted by LP:1663628)

 -- Gordon Ball <gordon@chronitis.net>  Tue, 21 Nov 2017 10:32:28 +0000

task (2.5.1+dfsg-5) unstable; urgency=medium

  * Correct install path for bash-completion (closes: #880539)

 -- Gordon Ball <gordon@chronitis.net>  Thu, 02 Nov 2017 09:43:33 +0000

task (2.5.1+dfsg-4) unstable; urgency=medium

  * Retire transition package "task" (closes: #878982)
  * Remove "task" breaks/replaces from "taskwarrior"
  * Update Standards-Version to 4.1.1, no changes required
  * Update debhelper compat level to 10
  * Use https URLs in d/copyright and d/watch
  * Fix d/rules and d/taskwarrior.{install,manpages} for changes
    resulting from now building only a single binary package

 -- Gordon Ball <gordon@chronitis.net>  Mon, 23 Oct 2017 19:49:27 +0000

task (2.5.1+dfsg-3) unstable; urgency=medium

  * Move zsh completer to /usr/share/zsh/vendor-completions (closes: #843576)

 -- Gordon Ball <gordon@chronitis.net>  Thu, 23 Feb 2017 20:32:01 +0100

task (2.5.1+dfsg-2) unstable; urgency=medium

  [ Gordon Ball ]
  * Fix python dependency for tests
  * Use the installed binary for tests

  [ Sebastien Badia ]
  * Updated SV to 3.9.8, no changes required
  * Set maintainer to tasktools team
  * Update my email to the Debian one

 -- Gordon Ball <gordon@chronitis.net>  Tue, 13 Dec 2016 15:40:01 +0100

task (2.5.1+dfsg-1) unstable; urgency=medium

  [ Gordon Ball ]
  * Add a patch for build-time tests which fail depending on the date
  * Update autopkgtests; remove the adequate test for the
    transitional `task` package, and fix the script running
    the package's unit tests.
  * Updated SV to 3.9.7, no changes required.

  [ Sebastien Badia ]
  * New upstream release: 2.5.1
  * d/control: Switch to https for Vcs-Git and homepage
  * Update dates in d/copyright
  * d/patches: Refresh patches
  * d/rules:
      Fix TASK_RCDIR, fix manpage rc location (Closes: #789424)
      Fix TASK_RCDIR, fix theme location (Closes: #818103)
      Enable hardening builds flags
  * Fix spurious "pri." in taskrc manpage (Closes: #789423)
  * Add lintian overrides "isnt" is a keyword of taskwarrior

 -- Sebastien Badia <seb@sebian.fr>  Sat, 02 Apr 2016 20:32:52 +0200
