=== debian/control ===
Source: task
Section: utils
Priority: optional
Maintainer: Debian Tasktools Packaging Team <taskdeb-discuss@nongnu.org>
Uploaders: Gordon Ball <gordon@chronitis.net>, Sebastien Badia <sbadia@debian.org>
Build-Depends: cmake,
               debhelper (>= 10),
               dh-buildinfo,
               git,
               libgnutls28-dev,
               libjson-perl,
               libreadline-dev,
               python,
               uuid-dev
Standards-Version: 4.1.1
Homepage: https://taskwarrior.org
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-tasktools/task.git
Vcs-Git: https://anonscm.debian.org/git/pkg-tasktools/task.git

Package: taskwarrior
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: feature-rich console based todo list manager
 Taskwarrior is a sophisticated command line todo list and task
 manager with a lot of features:
 .
  * colorful tabbed output
  * feature rich search function
  * tags
  * statistics
  * Getting Things Done compatible
  * interactive editing of items in text editor
