=== debian/tests/control ===
Tests: taskwarrior
Depends: taskwarrior, python

Tests: adequate-taskwarrior
Depends: taskwarrior, adequate
