=== debian/watch ===
version=3
opts="uversionmangle=s/[.]beta/~beta/,dversionmangle=s/[+]dfsg//" \
https://taskwarrior.org/download/ \
.*/task-([\d.]+(?:[.]beta\d+)?)\.tar\.gz
