=== debian/changelog ===
task (2.5.2+dfsg-1) unstable; urgency=medium

  * d/watch: check github instead of taskwarrior.org
  * get-orig-source: simplify, update git URL to github
  * New upstream version 2.5.2+dfsg
  * Rebase patches; drop those fixed upstream:
    - 0012-Patch-infinite-loop-with-P2M-recurrence.patch
    - 010_fix-manpage-rule-precedence-color.patch
    - 011_fix_non_ascii_truncation.patch

 -- Gordon Ball <gordon@chronitis.net>  Tue, 15 Dec 2020 10:05:56 +0000

task (2.5.1+dfsg-11) unstable; urgency=medium

  * Drop autopkgtest using (rc-buggy) adequate (Closes: #971831)

 -- Gordon Ball <gordon@chronitis.net>  Thu, 15 Oct 2020 18:07:46 +0000

task (2.5.1+dfsg-10) unstable; urgency=medium

  * Port the testsuite to python3 (Closes: #938626)
  * Use dh_bash-completion to install the bash completion script
  * Use debhelper compatibility level 13
  * Lintian cleanup:
     + Renamed tag typo-in-manual-page in overrides
     + Renamed TODO.Debian -> TODO

 -- Gordon Ball <gordon@chronitis.net>  Wed, 19 Aug 2020 17:49:02 +0000

task (2.5.1+dfsg-9) unstable; urgency=medium

  * Fix infinite loop caused by multimonth recurrence; patch from Michał
    Mirosław. (Closes: #951776)
  * Update to Standards-Version 4.5.0
  * Replace ADTTMP with AUTOPKGTEST_TMP in autopkgtests
  * Set Rules-Requires-Root: no
  * Update all references from "python" to "python2"; ubuntu patch from Balint
    Reczey, version 2.5.1+dfsg-8ubuntu1

 -- Gordon Ball <gordon@chronitis.net>  Tue, 03 Mar 2020 10:42:08 +0000

task (2.5.1+dfsg-8) unstable; urgency=medium

  * Add a patch which fixes truncated annotations when they contain non-ASCII
    characters (with thanks to Apollon; closes: #820108)
  * Update to Standards-Version 4.4.0
  * Use debhelper compatibility level 12

 -- Gordon Ball <gordon@chronitis.net>  Thu, 26 Sep 2019 08:48:36 +0000
