=== debian/control ===
--- 
+++ 
@@ -3,19 +3,21 @@
 Priority: optional
 Maintainer: Debian Tasktools Packaging Team <taskdeb-discuss@nongnu.org>
 Uploaders: Gordon Ball <gordon@chronitis.net>, Sebastien Badia <sbadia@debian.org>
-Build-Depends: cmake,
-               debhelper (>= 10),
+Build-Depends: bash-completion,
+               cmake,
+               debhelper-compat (= 13),
                dh-buildinfo,
                git,
                libgnutls28-dev,
                libjson-perl,
                libreadline-dev,
-               python,
+               python3,
                uuid-dev
-Standards-Version: 4.1.1
+Standards-Version: 4.5.0
 Homepage: https://taskwarrior.org
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-tasktools/task.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-tasktools/task.git
+Vcs-Browser: https://salsa.debian.org/tasktools-team/task
+Vcs-Git: https://salsa.debian.org/tasktools-team/task.git
+Rules-Requires-Root: no
 
 Package: taskwarrior
 Architecture: any
