=== debian/watch ===
version=4
opts=uversionmangle=s/[.]beta/~beta/,dversionmangle=auto,repacksuffix=+dfsg \
https://github.com/GothenburgBitFactory/taskwarrior/tags .*/archive/v?@ANY_VERSION@@ARCHIVE_EXT@
