## task 2.5.3+dfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,7 +7,7 @@
 set (HAVE_CMAKE true)
 
 project (task)
-set (PROJECT_VERSION "2.5.2")
+set (PROJECT_VERSION "2.5.3")
 include (CXXSniffer)
 
 OPTION (ENABLE_WASM "Enable 'wasm' support" OFF)
@@ -161,5 +161,5 @@
                                 "_CPack_Packages" "cmake_install" "install_manifest" "Makefile$"
                                 "test" "package-config" "misc/*" "src/task$" "src/calc$" "performance"
                                 "src/libtask.a" "src/columns/libcolumns.a" "src/commands/libcommands.a"
-                                ".github/" ".travis.yml" "/\\\\.gitignore" "/\\\\.git/" "swp$" "src/lex$")
+                                ".github/" "/\\\\.gitignore" "/\\\\.git/" "swp$" "src/lex$" ".*tar.gz")
 include (CPack)
