=== debian/changelog ===
task (2.5.3+dfsg-4) unstable; urgency=medium

  * d/watch: new github tarball URL
  * Patch an infinite loop for multi-month recurrence. This was previously
    patched in 2.5.1+dfsg-9 but wrongly dropped in 2.5.2+dfsg-1; patch from
    Michał Mirosław. (Closes: #951776, again)

 -- Gordon Ball <gordon@chronitis.net>  Fri, 28 May 2021 12:00:06 +0000

task (2.5.3+dfsg-3) unstable; urgency=medium

  * Backport taskwarrior#2405 which fixes further parser-related regressions.
    (Closes: #980263, again).
  * Fix bash-based tests being skipped in autopkgtest

 -- Gordon Ball <gordon@chronitis.net>  Mon, 08 Feb 2021 19:52:03 +0000

task (2.5.3+dfsg-2) unstable; urgency=medium

  * Backport taskwarrior#2395 to fix a regression where names containing
    hyphens and numbers were interpreted as expressions (Closes: #980263)

 -- Gordon Ball <gordon@chronitis.net>  Mon, 25 Jan 2021 19:24:01 +0000

task (2.5.3+dfsg-1) unstable; urgency=medium

  * Update build dependencies
    - Drop dh-buildinfo (obsolete)
    - Drop libjson-perl (no longer used in tests)
    - Drop libreadline-dev (not used since tasksh was split off)
    - Annotate git and python3 as !nocheck
    Thanks to Helmet Grohne for reporting this (Closes: #979079)
  * New upstream version 2.5.3+dfsg
  * Update team email address to Debian Tasktools Team
    <team+tasktools@tracker.debian.org>

 -- Gordon Ball <gordon@chronitis.net>  Mon, 04 Jan 2021 19:14:58 +0000
