=== debian/control ===
--- 
+++ 
@@ -1,17 +1,14 @@
 Source: task
 Section: utils
 Priority: optional
-Maintainer: Debian Tasktools Packaging Team <taskdeb-discuss@nongnu.org>
+Maintainer: Debian Tasktools Team <team+tasktools@tracker.debian.org>
 Uploaders: Gordon Ball <gordon@chronitis.net>, Sebastien Badia <sbadia@debian.org>
 Build-Depends: bash-completion,
                cmake,
                debhelper-compat (= 13),
-               dh-buildinfo,
-               git,
+               git <!nocheck>,
                libgnutls28-dev,
-               libjson-perl,
-               libreadline-dev,
-               python3,
+               python3 <!nocheck>,
                uuid-dev
 Standards-Version: 4.5.0
 Homepage: https://taskwarrior.org
