## task 2.6.0+dfsg

=== debian/changelog ===
task (2.6.0+dfsg-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since stretch:
    + Remove 3 maintscript entries from 1 files.

  [ Gordon Ball ]
  * New upstream version 2.6.0+dfsg
  * Refresh patches, drop upstreamed or backported patches:
    + 0011-Lexer-Do-not-allow-leading-zero-for-number-type.patch
    + 0012-Backport-parser-issues-fixes.patch
    + 0013-Fix-infinite-loop-for-monthly-recurrence.patch
  * d/control: Standards-Version 4.6.0

 -- Gordon Ball <gordon@chronitis.net>  Tue, 05 Oct 2021 19:35:15 +0000
